# Class CIM_WiFiNetworkDetectionSettings
extends CIM_SettingData

CIM_WiFiNetworkDetectionSettings describes setting data that control the behavior of the network detection and selection logic in a Wi-Fi Port.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_WiFiNetworkDetectionSettings

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_WiFiNetworkDetectionSettings describes setting data that control the behavior of the network detection and selection logic in a Wi-Fi Port.
UMLPackagePath | string | CIM::Network::Wireless
Version | string | 2.23.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MinimumSignalStrength | uint16 |
Description | string | MinimumSignalStrength specifies the minimum signal strength required to be received by the wireless LAN endpoint in order for it to attempt to connect to the wireless network.
PUnit | string | decibel(m) * -1
TargetNetworkCategories | uint16 |
Description | string | Enumeration indicating the type of wireless networks that will be searched for. A value of 2 "Any" shall indicate that no restrictions are enforced on the SSIDs searched for. A value of 3 "Preferred" shall indicate that only networks listed in the PreferredNetworks property are searced for.
ValueMap | string | 2, 3, .., 16384..32767
Values | string | Any, Preferred, DMTF Reserved, Vendor Reserved
KnownNetworks | string[] |
Description | string | KnownNetworks lists the SSIDs of networks that have been previously identified to or by the wireless LAN endpoint on the platform.
PortTypes | uint16[] |
Description | string | ProtocolTypes lists the different 802.11 variations that a network may support in order to for the wireless catcher to attempt a connection to the network. The enumeration values are selected to align with CIM_ProtocolEndpoint.ProtocolIFType's enumeration.
ModelCorrespondence | string | CIM_LogicalPort.PortType
ValueMap | string | 0, 1, 70, 71, 72, 73, .., 16000..65535
Values | string | Unknown, Other, 802.11a, 802.11b, 802.11g, 802.11n, DMTF Reserved, Vendor Reserved
PreferredNetworks | string[] |
Description | string | PreferredNetworks lists the SSIDs of preferred wireless LAN networks. Each value contained shall also be contained in the KnownNetworks property.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods